Bug 100836 - [New port] devel/mingw32-directx
[New port] devel/mingw32-directx
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: alepulver
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 22:30 UTC by ed
Modified: 2006-10-05 00:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ed 2006-07-25 22:30:15 UTC
The w32api package does not include header files for Microsoft DirectX.
This package includes header files that the SDL project uses to compile
their library with Cygwin.

Fix: 

Download the port at:

	http://g-rave.nl/junk/freebsd-ports-devel-mingw32-directx.tar.gz
Comment 1 alepulver freebsd_committer 2006-10-04 01:21:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Take PR.
Comment 2 alepulver freebsd_committer 2006-10-05 00:35:25 UTC
State Changed
From-To: open->closed

New port added, thanks!
Comment 3 dfilter freebsd_committer 2006-10-05 00:35:38 UTC
alepulver    2006-10-04 23:35:31 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/mingw32-directx Makefile distinfo pkg-descr pkg-plist 
  Log:
  DirectX header files for use with MinGW. These header files are used by
  the SDL project to compile SDL on Cygwin, but can also be used to
  compile native applications for Windows with MinGW.
  
  WWW: http://www.libsdl.org/extras/win32/cygwin/README.txt
  
  PR:             ports/100836
  Submitted by:   Ed Schouten <ed at fxq.nl>
  
  Revision  Changes    Path
  1.2469    +1 -0      ports/devel/Makefile
  1.1       +30 -0     ports/devel/mingw32-directx/Makefile (new)
  1.1       +3 -0      ports/devel/mingw32-directx/distinfo (new)
  1.1       +5 -0      ports/devel/mingw32-directx/pkg-descr (new)
  1.1       +5 -0      ports/devel/mingw32-directx/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"